php.ini does not correspond to phpForApache.ini
Posted by: FakE (---.dynamic.kabel-deutschland.de)
Date: September 29, 2017 10:59PM

Hey guys,

I've detected one little issue, may it's wanted like that may not.


Your goal is to edit all nessesary PHP settings in the WAMP manager which is nice.

In the moment the settings are saved to the file (phpForApache) the original PHP.ini file
is not getting those updates.


One example:

PHP extensions -> php_ftp -> activate

The webserver (apache) reads the symbolic link in it's folder which is phpForApache.ini

Running the PHP.exe now or PHP in cgi-mode will read the original PHP.ini file in the folder
/bin/php/phpx.x.x/php.ini

This PHP.exe is now missing my edited PHP settings.

The original PHP.ini doesn't get an update when I update the settings in the WAMP manager
which means the extension "php_ftp" is still deactivated in the original php.ini.


Maybe it's a bug or it's wanted.

But usualy the edits in the WAMP manager should also hit the original PHP.ini
to make sure PHP in console mode also supports all my personal settings.

Options: ReplyQuote
Re: php.ini does not correspond to phpForApache.ini
Posted by: Otomatic (Moderator)
Date: September 30, 2017 09:22AM

Hi,

Wampserver is intended to carry out the local development of WEB site and that is why there is separation between the parameters of PHP for the web development and PHP command line.
PHP on the command line is reserved for Wampmanager internal scripts and any bad modifications to PhpForApache.ini will not affect the operation of Wampmanager scripts.
The only common modification to the two ini files is 'date.timezone'

It is totally out of the question that the modifications made to PhpForApache.ini by the different items of Wampmanager are also modified in php.ini.

It is up to the few php command line users to take care of the php.ini settings without breaking the functioning of the Wampmanager scripts.

------------------------------------------------------------------------------------------------------------
(W7 Pro 64 bit)-Wampserver 3.1.0 32 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.0 64 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.4 - MysqlDumper 1.24.5

Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.